%define major 0.4
%define oname clutter
Name: libclutter
Version: %major.2
Release: alt1

Summary: Library for rich GUIs

License: LGPL v2+
Group: System/Libraries
Url: http://www.clutter-project.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://www.clutter-project.org/sources/clutter/%major/%oname-%version.tar.bz2

BuildRequires: rpm-build-compat

# Automatically added by buildreq on Fri Jul 27 2007
BuildRequires: fontconfig-devel gcc-c++ glibc-devel gtk-doc libfreetype-devel libgtk+2-devel libmesa-devel libXfixes-devel

%description
Clutter is an open source software library for creating fast, visually
rich graphical user interfaces. The most obvious example of potential
usage is in media center type applications. We hope however it can be
used for a lot more.

Clutter uses OpenGL (and soon optionally OpenGL ES) for rendering but
with an API which hides the underlying GL complexity from the
developer. The Clutter API is intended to be easy to use, efficient
and flexible.

%package devel
Summary: Header files for clutter library
Group: Development/Other
Requires: %name = %version-%release

%description devel
Header files for clutter library.

%package apidocs
Summary: clutter API documentation
Group: Documentation
#Requires: gtk-doc-common

%description apidocs
clutter API documentation.

%prep
%setup -q -n %oname-%version

%build
#__gtkdocize
%__autoreconf
%configure \
	--enable-gtk-doc \
	--disable-static \
	--with-html-dir=%_gtkdocdir

%make_build

%install
%make_install install \
	DESTDIR=%buildroot

%post -p %post_ldconfig
%postun -p %post_ldconfig

%files
%doc AUTHORS ChangeLog NEWS README TODO
%_libdir/libclutter-*.so.*

%files devel
%_libdir/libclutter-*.so
%_includedir/clutter-%major
%_pkgconfigdir/clutter-*.pc

%files apidocs
%_gtkdocdir/%oname/

%changelog
* Fri Jan 04 2008 Vitaly Lipatov <lav@altlinux.ru> 0.4.2-alt1
- new version 0.4.2 (with rpmrb script)

* Fri Jul 27 2007 Vitaly Lipatov <lav@altlinux.ru> 0.3.1-alt1
- initial build for ALT Linux Sisyphus (spec from PLD)

